Subject: Re: bug#30807: Tramp tests take waaayyy too long and refuse to exit

From: Michael Albinus <[email-masked]>
Date: Wed, 14 Mar 2018 16:54:31 +0100

Glenn Morris <[email-masked]> writes:

Hi Glenn,

> I also find it problematically slow. Recently I identified these
> particularly slow tests:
>
> tramp-test11-copy-file 11s
> tramp-test12-rename-file 13s
> tramp-test21-file-links 24s
> tramp-test38-special-characters 9s
>
> Things are much faster for me with TEST_LOAD_EL=no (35s v 1m35s). 
> I wonder about the utility of that setting being yes by default.
> For me, faster, more frequent testing, with the option to re-run and get
> more details from failures if they occur, is better than than the
> current default.

This explains indeed the differences between Emacs 26 and 27. I agree
with you, for default runs like a simple "make check", TEST_LOAD_EL
shall be set to "no". If there's a problem, one runs "make -C test <file>"
anyway, which should use an unset TEST_LOAD_EL per default.

Anyway, I will continue to analyze what makes the tests so slow.

Best regards, Michael.